Package org.opensaml.messaging.pipeline

# Class StaticPipelineNameStrategy

java.lang.Object
org.opensaml.messaging.pipeline.StaticPipelineNameStrategy

All Implemented Interfaces:
  `Function<InOutOperationContext,String>`

public class StaticPipelineNameStrategy extends Object implements Function<InOutOperationContext,String>
Static strategy function for resolving a pipeline name.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`pipelineName`
The static pipeline name.

## Constructor Summary

Constructors
Constructor
Description
`StaticPipelineNameStrategy(String name)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(InOutOperationContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### pipelineName

@Nullable private String pipelineName
The static pipeline name.

## Constructor Details

### StaticPipelineNameStrategy

public StaticPipelineNameStrategy(@Nullable String name)
Constructor.

Parameters:
  `name` - the static pipeline name.

## Method Details

### apply

@Nullable public String apply(@Nullable InOutOperationContext input)

Specified by:
  `apply` in interface `Function<InOutOperationContext,String>`